Skip to main content
DELETE
/
import-config
/
{importConfigId}
/
Delete import config
curl --request DELETE \
  --url https://apiweb.mile.app/api/v3/import-config/{importConfigId}/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://apiweb.mile.app/api/v3/import-config/{importConfigId}/"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://apiweb.mile.app/api/v3/import-config/{importConfigId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": true,
  "code": 200,
  "message": "Import Config has been deleted successfully.",
  "data": {
    "_id": "67b5a1234567890abcdef001",
    "name": "Delivery Order Import - Flow A",
    "description": "Column mapping preset for daily delivery order import",
    "collection": "task",
    "referenceType": "flow",
    "referenceId": "66a988d53ae08a7ab52867c2",
    "fields": [
      {
        "id": "orderNumber",
        "headerColumn": "Order No"
      },
      {
        "id": "customerName",
        "headerColumn": "Customer"
      }
    ],
    "organizationId": "66791b2bf001a712b77b3622",
    "updatedTime": "2026-02-19T08:30:00.000000Z",
    "createdTime": "2026-02-19T08:30:00.000000Z"
  }
}
{
"status": false,
"message": "Data not found"
}
{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Path Parameters

importConfigId
string
required

Unique identifier for the import config that generated by system. Example: 67b5a1234567890abcdef001

Response

Success

status
boolean

Status of response.

code
integer

Code of response.

message
string

Message of API response.

data
object

Detail of deleted import config object.